Inbox · Instagram
Looks up a public Instagram Business account.
GET
https://api.pozy.ai/v1/accounts/{accountId}/instagram/business-discoverygetInstagramBusinessDiscovery
Guide: Instagram
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the analytics resource group disabled get 403 resource_group_disabled. Authentication
Path parameters
| Name | Type | Notes |
|---|---|---|
accountIdrequired | string |
Query parameters
| Name | Type | Notes |
|---|---|---|
usernamerequired | string | Up to 31 characters |
limit | integer | Default 121 to 25 |
Example
curl -X GET "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/instagram/business-discovery?username=acme&limit=12" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/instagram/business-discovery?username=acme&limit=12", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/instagram/business-discovery",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
params={
"username": "acme",
"limit": 12,
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
profileobjectrequired9 child fields
idstringrequiredusernamestringrequirednamestringCan be null.
biographystringCan be null.
websitestringCan be null.
profilePictureUrlstringCan be null.
followersCountintegerCan be null.
followsCountintegerCan be null.
mediaCountintegerCan be null.
mediaarray of objectrequired12 child fields
idstringrequiredcaptionstringrequiredCan be null.
mediaTypestringrequiredCan be null.
mediaProductTypestringrequiredCan be null.
timestampstring (date-time)requiredCan be null.
permalinkstringrequiredCan be null.
likeCountintegerrequiredCan be null.
commentsCountintegerrequiredCan be null.
mediaUrlstringrequiredCan be null.
thumbnailUrlstringrequiredCan be null.
viewCountintegerrequiredCan be null.
childrenarray of objectrequiredCan be null.
200 response
{
"profile": {
"id": "6bfebd43ddc270f6d2c56fc5",
"username": "acme",
"name": "Acme",
"biography": "string",
"website": "string",
"profilePictureUrl": "https://pozy.ai/media/example-1.jpg",
"followersCount": 42,
"followsCount": 42,
"mediaCount": 42
},
"media": [
{
"id": "6bfebd43ddc270f6d2c56fc5",
"caption": "Hello from Pozy",
"mediaType": "string",
"mediaProductType": "string",
"timestamp": "2026-10-02T09:00:00.000Z",
"permalink": "string",
"likeCount": 42,
"commentsCount": 42,
"mediaUrl": "https://pozy.ai/media/example-1.jpg",
"thumbnailUrl": "https://pozy.ai/media/example-1.jpg",
"viewCount": 42,
"children": [
{
"id": "6bfebd43ddc270f6d2c56fc5",
"mediaType": "string",
"mediaUrl": "https://pozy.ai/media/example-1.jpg",
"thumbnailUrl": "https://pozy.ai/media/example-1.jpg"
}
]
}
]
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 404 | not_found | Nothing with that id exists in your workspace. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.
More in Instagram
GETList active Instagram storiesGETGet Instagram publishing limitGETSearch Instagram audioGETGet Instagram audio metadataGETList the collaborators of an Instagram postGETList the live broadcasts of an Instagram accountGETList the posts an Instagram account is tagged inGETGet a post that mentions an Instagram account in its captionGETGet a comment that mentions an Instagram accountGETGet Instagram story insights